## debomatic 0.26

=== docs/Makefile ===
#!/usr/bin/make
# Copyright (C) 2012-2022 Luca Falavigna
#
# Author: Luca Falavigna <dktrkranz@debian.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option), any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean latex latexpdf

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"

clean:
	-rm -rf $(BUILDDIR)

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

=== debian/changelog ===
debomatic (0.26-4) unstable; urgency=medium

  * debian/control:
    - Build-Depends on python3-setuptools (Closes: #1080578).
    - Compliant with Debian Policy 4.7.0.
  * debian/patches/ro_po.patch:
    - Update Romanian translation (Closes: #1056309).

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 09 Sep 2024 10:51:57 +0200

debomatic (0.26-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rervert workaround for bug #1034219. (Closes: #1073641)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 18 Jul 2024 21:29:35 +0200

debomatic (0.26-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3.
    + debomatic: Drop versioned constraint on lsb-base, sbuild and schroot in
      Depends.
    + debomatic: Drop versioned constraint on autopkgtest and piuparts in
      Suggests.
    + debomatic: Drop versioned constraint on python3-pyinotify in Recommends.

  [ Luca Falavigna ]
  * debian/clean:
    - Remove egg-info content at build time.
  * debian/control:
    * Compliant with Debian Policy 4.6.2.
    - Drop lsb-base from Depends.
    - Drop ubuntu-archive-keyring and ubuntu-keyring from Suggests.
  * debian/copyright:
    * Update copyright years.
  * debian/NEWS:
    - Remove NEWS file, versions are no longer in oldstable.
  * debian/rules:
    - Handle case when egg-info directory is not empty (Closes: #1054862).

  [ Nicolas Boulenguez ]
  * debian/tests/*:
    - Reduce dependency in test scripts (Closes: #1000453).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 05 Nov 2023 12:22:24 +0100

debomatic (0.26-2) unstable; urgency=medium

  * debian/patches/bug1034219.patch:
    - Install systemd unit file under /lib/systemd/system (Closes: #1034219).

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 13 Apr 2023 09:09:31 +0000

debomatic (0.26-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    * Compliant with Debian Policy 4.6.1.
  * debian/copyright:
    * Update copyright years.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 10 Jul 2022 14:10:11 +0200

debomatic (0.25+git20210925-2) unstable; urgency=medium

  * Upload to unstable.
  * Build-depend on tex-gyre to fix FTBFS (Closes: #997414).

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 22 Apr 2022 07:53:02 +0200

debomatic (0.25+git20210925-1) experimental; urgency=medium

  [ Luca Falavigna ]
  * New upstream snapshot.
  * Remove sbin.patch, merged upstream.
  * Upstream tarball can be used as-is.
  * Compliant with Debian Policy 4.6.0.

  [ Nicolas Boulenguez ]
  * The following changes closes: #983538.
    - Stop overriding dh_clean, use debian/clean instead.
    - Move debhelper sequences to debian/control.
    - Remove trailing whitespaces in debian/copyright.
    - Refresh patches with -pab --no-timestamps --no-index.
    - Drop obsolete dh_installchangelog override.
    - Replace override_dh_auto_install with execute_after_dh_auto_install.
    - Generate init symlinks only if they do not exist.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 26 Sep 2021 08:58:57 +0200

=== debian/control ===
Source: debomatic
Section: devel
Priority: optional
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               python3,
               dh-python,
               python3-setuptools,
               python3-sphinx,
               latexmk,
               texlive-latex-base,
               texlive-latex-recommended,
               texlive-fonts-recommended,
               texlive-latex-extra,
               texlive-plain-generic,
               tex-gyre
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://debomatic.github.io
Vcs-Git: https://salsa.debian.org/python-team/packages/debomatic.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/debomatic

Package: debomatic
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         ${sphinxdoc:Depends},
         debootstrap | cdebootstrap | qemu-user-static,
         sbuild,
         schroot,
         python3-toposort
Recommends: python3-pyinotify,
            gpgv,
            python3-systemd
Suggests: autopkgtest,
          blhc,
          devscripts,
          lintian,
          piuparts,
          apt-utils,
          gnupg,
          debian-archive-keyring
Description: automatic build machine for Debian source packages
 Deb-o-Matic is an easy to use build machine for Debian source packages
 based on sbuild and schroot, written in Python.
 .
 It provides a simple tool to automate build of source packages with limited
 user interaction and a simple configuration. It has some useful features such
 as automatic update of chroots, automatic scan and selection of source
 packages to build and modules support.
 .
 It is meant to help developers to build their packages without worrying too
 much of compilation, since it will run in background and no user feedback
 is required during the whole process.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=debomatic
export PYBUILD_INSTALL_ARGS_python3=--install-lib=/usr/share/debomatic \
	--install-scripts=/usr/share/debomatic

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	find debian/debomatic -name "*.egg-info" -exec rm -r {} +

override_dh_installinit:
	ln -s $(CURDIR)/etc/init.d/debomatic debian/init
	ln -s $(CURDIR)/etc/default/debomatic debian/default
	dh_installinit --no-start -- defaults 20

=== debian/tests/control ===
Tests: build
Depends: debomatic,
         debhelper,
         devscripts,
         fakeroot,
         wget,
         liburi-perl,
         ca-certificates,
         debian-archive-keyring,
         dput-ng
Restrictions: needs-root, allow-stderr

Tests: command-binnmu
       command-builddep
       command-porter
       command-rebuild
Depends: debomatic,
         devscripts,
         wget,
         liburi-perl,
         ca-certificates
Restrictions: needs-root, allow-stderr

Tests: crossbuild
Depends: debomatic,
         debhelper,
         devscripts,
         fakeroot,
         wget,
         liburi-perl,
         ca-certificates,
         debian-archive-keyring,
         dput-ng
Restrictions: needs-root, allow-stderr, flaky

## debomatic 0.40

=== docs/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make
-# Copyright (C) 2012-2022 Luca Falavigna
+# Copyright (C) 2012-2025 Luca Falavigna
 #
 # Author: Luca Falavigna <dktrkranz@debian.org>
 #

=== debian/changelog ===
debomatic (0.40-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Compliant with Debian Policy 4.7.2.
    - Update dependencies to comply with mmdebstrap.
  * debian/copyright:
    - Update copyright years.
  * debian/links:
    - Install symlink under /usr/bin.
  * debian/patches/ro_po.patch:
    - Removed, merged upstream.
  * debian/tests/debomatictest.sh:
    - Adjust test configuration to comply with mmdebstrap.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 03 Apr 2025 07:01:45 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                texlive-latex-extra,
                texlive-plain-generic,
                tex-gyre
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://debomatic.github.io
 Vcs-Git: https://salsa.debian.org/python-team/packages/debomatic.git
@@ -28,10 +28,9 @@
 Depends: ${python3:Depends},
          ${misc:Depends},
          ${sphinxdoc:Depends},
-         debootstrap | cdebootstrap | qemu-user-static,
-         sbuild,
-         schroot,
-         python3-toposort
+         mmdebstrap,
+         uidmap,
+         sbuild
 Recommends: python3-pyinotify,
             gpgv,
             python3-systemd
@@ -39,7 +38,7 @@
           blhc,
           devscripts,
           lintian,
-          piuparts,
+          piuparts (>= 1.5.0~),
           apt-utils,
           gnupg,
           debian-archive-keyring

=== debian/tests/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
          debhelper,
          devscripts,
          fakeroot,
+         zstd,
          wget,
          liburi-perl,
          ca-certificates,
@@ -16,6 +17,7 @@
        command-rebuild
 Depends: debomatic,
          devscripts,
+         zstd,
          wget,
          liburi-perl,
          ca-certificates
@@ -26,6 +28,7 @@
          debhelper,
          devscripts,
          fakeroot,
+         zstd,
          wget,
          liburi-perl,
          ca-certificates,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/debomatic-$1\.tar\.gz/ \
  https://github.com/debomatic/debomatic/tags .*/v?(\d\S*)\.tar\.gz
